## ansible 5.5.0

=== debian/changelog ===
ansible (5.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 21 Mar 2022 17:16:59 +0100

ansible (5.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Release to unstable.
  * Switch build-dep from python3-all to python3 (Closes: #1005149)

 -- Lee Garrett <debian@rocketjump.eu>  Sun, 06 Mar 2022 20:05:44 +0100

ansible (4.6.0-1) experimental; urgency=medium

  * "Greetings from DebianReunionHamburg" release
  * New upstream release
  * Unmerge the source package again
  * Add NEWS entry explaining the split package again
  * Depend on ansible-core instead of ansible-base

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 30 Sep 2021 18:29:44 +0200

=== debian/control ===
Source: ansible
Maintainer: Lee Garrett <debian@rocketjump.eu>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3,
               python3-docutils,
               python3-jinja2,
               python3-nose,
               python3-packaging,
               python3-passlib,
               python3-setuptools,
               python3-straight.plugin,
               python3-yaml,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Vcs-Browser: https://salsa.debian.org/debian/ansible
Vcs-Git: https://salsa.debian.org/debian/ansible.git
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ansible-core (>= 2.11.5-1~),
         openssh-client | python3-paramiko (>= 2.6.0),
         python3-distutils,
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr,
         python3-yaml
Recommends: python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Breaks: ansible-base (<= 2.10.5+dfsg-2)
Replaces: ansible-base (<= 2.10.5+dfsg-2)
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains the ansible collections.

## ansible 6.4.0+dfsg

=== ansible_collections/community/general/tests/unit/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# requirement for the memcached cache plugin
python-memcached

# requirement for the redis cache plugin
redis

# requirement for the linode module
linode-python  # APIv3
linode_api4 ; python_version > '2.6'  # APIv4

# requirement for the gitlab and github modules
python-gitlab
PyGithub
httmock

# requirement for maven_artifact module
lxml < 4.3.0 ; python_version < '2.7' # lxml 4.3.0 and later require python 2.7 or later
lxml ; python_version >= '2.7'
semantic_version

# requirement for datadog_downtime module
datadog-api-client >= 1.0.0b3 ; python_version >= '3.6'

# requirement for dnsimple module
dnsimple >= 2 ; python_version >= '3.6'
dataclasses ; python_version == '3.6'

# requirement for the opentelemetry callback plugin
# WARNING: these libraries rely on Protobuf for Python, which regularly stops installing.
#          That's why they are disabled for now.
# opentelemetry-api ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-exporter-otlp ; python_version >= '3.6' and python_version < '3.10'
# opentelemetry-sdk ; python_version >= '3.6' and python_version < '3.10'

# requirement for the elastic callback plugin
elastic-apm ; python_version >= '3.6'

=== debian/changelog ===
ansible (6.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 15 Sep 2022 22:27:58 +0200

ansible (6.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Fix yarn --no-emoji error (Closes: #989709)
  * Remove python3-nose from Build-Depends (Closes: #1018309)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 09 Sep 2022 16:16:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-docutils,
                python3-jinja2,
-               python3-nose,
                python3-packaging,
                python3-passlib,
                python3-setuptools,
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com

=== debian/tests/control ===
Tests: unit-tests-stable
Depends: @,
         git,
         python3-boto3,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky
Depends: @,
         git,
         python3-boto3,
         python3-flake8,
         python3-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         yamllint
Restrictions: flaky

## ansible 7.0.0+dfsg

=== debian/changelog ===
ansible (7.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Add bcrypt to autopktest dependencies
  * Use yaml.safe_load() in vdo.py (Closes: 1022013)
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 30 Nov 2022 22:37:20 +0100

=== debian/tests/control ===
Tests: unit-tests-stable
Depends: @,
         git,
         python3-boto3,
         python3-bcrypt,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint

# failing tests due to missing packages or other reasons
#Tests: unit-tests-flaky
#Depends: @,
#         git,
#         python3-boto3,
#         python3-flake8,
#         python3-mock,
#         python3-pytest-xdist,
#         python3-pyvmomi,
#         yamllint
#Restrictions: flaky

## ansible 7.1.0+dfsg

=== debian/changelog ===
ansible (7.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Drop 0001-yaml.safe_load.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 13 Dec 2022 16:45:05 +0100

ansible (7.0.0+dfsg-2) unstable; urgency=medium

  * autopkgtest: Depend on python3-pytest-forked (Closes: #1025335)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 06 Dec 2022 23:39:37 +0100

## ansible 7.2.0+dfsg

=== debian/changelog ===
ansible (7.2.0+dfsg-2) unstable; urgency=high

  * New upstream release 7.2.0
  * Create man page for "ansible-community"
  * Bump Standards-Version (no changes needed)
  * pybuild with PEP517 interface
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 09 Feb 2023 18:27:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3,
                python3-docutils,
                python3-jinja2,
@@ -14,7 +15,7 @@
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ansible
 Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com

=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          python3-bcrypt,
          python3-flake8,
          python3-mock,
+         python3-pytest-forked,
          python3-pytest-mock,
          python3-pytest-xdist,
          yamllint

## ansible 7.3.0+dfsg

=== debian/changelog ===
ansible (7.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 01 Mar 2023 21:22:25 +0100

## ansible 7.7.0%2Bdfsg

=== ansible_collections/cisco/ise/requirements.txt ===
ciscoisesdk >= 2.0.8
requests >= 2.25.1

=== debian/changelog ===
ansible (7.7.0+dfsg-3+deb12u1) bookworm; urgency=medium

  * New stable release (Closes: #1069891)
  * Put ansible under the Debian Python Team umbrella
  * d/gbp.conf: set merge-mode replace by default
  * d/gbp.conf: Switch to DEP-14 branch layout
  * d/gbp.conf: Sign tags by default
  * d/gitlab-ci.yml: Run CI/CD tests against bookworm
  * autopkgtests: Use the same scripts as from the unstable branch
  * autopkgtests: Update package dependencies
  * autopkgtests: Update list of flaky tests
  * Update amazon.aws ec2_key module documentation to fix CVE-2023-4237.
  * d/control: update VCS links

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 27 Jun 2024 16:10:10 +0200

ansible (7.7.0+dfsg-3) unstable; urgency=medium

  * Fix issue with ansible.builtin.copy when using libvirt connection plugin
    upstream bug:
    https://github.com/ansible-collections/community.libvirt/issues/161
  * Update lintian overrides

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 20 Oct 2023 20:56:49 +0200

ansible (7.7.0+dfsg-2) unstable; urgency=medium

  * Fix warning when using libvirt connection plugin
  * Fix libvirt connection plugin encoding errors on Windows guests

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 12 Sep 2023 12:53:41 +0200

ansible (7.7.0+dfsg-1) unstable; urgency=medium

  * d/watch: Lock into v7.x.x for now.
  * New upstream release

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 17 Jul 2023 15:57:18 +0200

## ansible 7.7.0+dfsg

=== ansible_collections/cisco/iosxr/requirements.txt ===
ncclient
paramiko
ipaddress
ansible-pylibssh
grpcio
protobuf

=== ansible_collections/community/postgresql/requirements.txt ===
psycopg2-binary

=== ansible_collections/dellemc/powerflex/requirements.txt ===
PyPowerFlex
requests>=2.23.0
python-dateutil>=2.8.0
setuptools

=== ansible_collections/dellemc/unity/requirements.txt ===
urllib3
storops>=1.2.11
setuptools

=== ansible_collections/inspur/sm/requirements.txt ===
inspursmsdk 1.5.0+

=== ansible_collections/microsoft/ad/requirements.txt ===
# Copyright (c) Ansible Project
# GNU General Public License v3.0+ (see LICENSES/GPL-3.0-or-later.txt or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

# For LDAP TLS channel binding data calculation. 3.1 is when the backend arg
# was made optional.
cryptography >= 3.1

# For LDAP SRV lookups. 2.0.0 is when the new API used was introduced.
dnspython >= 2.0.0

# For krb5 default_realm lookups
krb5

# For LDAP negotiate authentication. 0.8.0 is needed for the no_integrity
# context_req used by LDAP.
pyspnego[kerberos] >= 0.8.0

# For LDAP protocol logic
sansldap

=== ansible_collections/purestorage/flasharray/requirements.txt ===
purestorage
py-pure-client
python >= 3.6
netaddr
requests
pycountry
packaging

=== ansible_collections/sensu/sensu_go/Makefile ===
# Make sure we have ansible_collections/sensu/sensu_go as a prefix. This is
# ugly as heck, but it works. I suggest all future developer to treat next few
# lines as an opportunity to learn a thing or two about GNU make ;)
collection := $(notdir $(realpath $(CURDIR)      ))
namespace  := $(notdir $(realpath $(CURDIR)/..   ))
toplevel   := $(notdir $(realpath $(CURDIR)/../..))

err_msg := Place collection at <WHATEVER>/ansible_collections/sensu/sensu_go
ifeq (true,$(CI))
  $(info Running in CI setting, skipping directory checks.)
else ifneq (sensu_go,$(collection))
  $(error $(err_msg))
else ifneq (sensu,$(namespace))
  $(error $(err_msg))
else ifneq (ansible_collections,$(toplevel))
  $(error $(err_msg))
endif

python_version := $(shell \
  python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))' \
)

molecule_scenarios := $(wildcard tests/integration/molecule/*)


.PHONY: help
help:
	@echo Available targets:
	@fgrep "##" $(MAKEFILE_LIST) | fgrep -v fgrep | sort

.PHONY: sanity
sanity:  ## Run sanity tests
	pip3 install -r sanity.requirements -r collection.requirements
	pip install pyyaml
	flake8
	if which ansible-lint 2> /dev/null; then ansible-lint -p roles/*; fi
	ansible-test sanity --docker
	python3 ./tests/sanity/validate-role-metadata.py roles/*

.PHONY: units
units:  ## Run unit tests
	pip3 install -r collection.requirements
	-ansible-test coverage erase # On first run, there is nothing to erase.
	ansible-test units --docker --coverage
	ansible-test coverage html --requirements
	ansible-test coverage report --omit 'tests/*' --show-missing

.PHONY: integration
integration:  ## Run integration tests
	pip3 install -r integration.requirements -r collection.requirements
	pytest -s --molecule-base-config=base.yml tests/integration/molecule

.PHONY: $(molecule_scenarios)
$(molecule_scenarios):
	pytest -s --molecule-base-config=base.yml $@

.PHONY: integration_ci
integration_ci:  ## Run integration tests on CircleCI
	pip3 install -r integration.requirements -r collection.requirements
	mkdir -p test_results/integration
	pytest -s \
	  --junitxml=test_results/integration/junit.xml \
	  --molecule-base-config=base.yml \
	  $$(circleci tests glob "tests/integration/molecule/*/molecule.yml" \
	     | circleci tests split --split-by=timings)

.PHONY: docs
docs:  ## Build collection documentation
	pip3 install -r docs.requirements
	$(MAKE) -C docs -f Makefile.custom docs

.PHONY: clean
clean:  ## Remove all auto-generated files
	$(MAKE) -C docs -f Makefile.custom clean
	rm -rf tests/output test_results

.PHONY: check_windows_versions
check_windows_versions:  ## Check if our and upstream versions drifed apart
	tools/windows-versions.py check roles/install/vars/Windows.yml

.PHONY: update_windows_versions
update_windows_versions:  ## Update Windows versions in variable file
	tools/windows-versions.py update roles/install/vars/Windows.yml

=== ansible_collections/theforeman/foreman/Makefile ===
PYTHON_COMMAND ?= python
NAMESPACE := $(shell $(PYTHON_COMMAND) -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["namespace"])')
NAME := $(shell $(PYTHON_COMMAND) -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["name"])')
VERSION := $(shell $(PYTHON_COMMAND) -c 'import yaml; print(yaml.safe_load(open("galaxy.yml"))["version"])')
MANIFEST := build/collections/ansible_collections/$(NAMESPACE)/$(NAME)/MANIFEST.json

ROLES := $(wildcard roles/*)
PLUGIN_TYPES := $(filter-out __%,$(notdir $(wildcard plugins/*)))
RUNTIME_YML := meta/runtime.yml
METADATA := galaxy.yml LICENSE README.md $(RUNTIME_YML) requirements.txt changelogs/changelog.yaml CHANGELOG.rst bindep.txt PSF-license.txt meta/execution-environment.yml
TESTDATA := Makefile pytest.ini $(shell find tests/ ! -type d ! -path '*/__pycache__/*' ! -path '*/test_playbooks/fixtures/*' ! -path '*/fixtures/apidoc/*')
$(foreach PLUGIN_TYPE,$(PLUGIN_TYPES),$(eval _$(PLUGIN_TYPE) := $(filter-out %__init__.py,$(wildcard plugins/$(PLUGIN_TYPE)/*.py)) $(wildcard plugins/$(PLUGIN_TYPE)/*.yml)))
DEPENDENCIES := $(METADATA) $(foreach PLUGIN_TYPE,$(PLUGIN_TYPES),$(_$(PLUGIN_TYPE))) $(foreach ROLE,$(ROLES),$(wildcard $(ROLE)/*/*)) $(foreach ROLE,$(ROLES),$(ROLE)/README.md) $(TESTDATA)

PYTHON_VERSION = $(shell $(PYTHON_COMMAND) -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))')
ANSIBLE_SUPPORTS_REDIRECTS = $(shell ansible --version | grep -q 'ansible 2.9' && echo 0 || echo 1)
COLLECTION_COMMAND ?= ansible-galaxy
SANITY_OPTS = --venv
TEST =
FLAGS =
PYTEST = pytest -n 4 --forked -vv

APIPIE_VERSION ?= v0.4.0

default: help
help:
	@echo "Please use \`make <target>' where <target> is one of:"
	@echo "  help             to show this message"
	@echo "  info             to show infos about the collection"
	@echo "  lint             to run code linting"
	@echo "  test             to run unit tests"
	@echo "  livetest         to run test playbooks live (without vcr)"
	@echo "  sanity           to run santy tests"
	@echo "  setup            to set up test, lint"
	@echo "  test-setup       to install test dependencies"
	@echo "  test_<test>      to run a specific unittest"
	@echo "  livetest_<test>  to run a specific unittest live (without vcr)"
	@echo "  record_<test>    to (re-)record the server answers for a specific test"
	@echo "  clean_<test>     to run a specific test playbook with the teardown and cleanup tags"
	@echo "  dist             to build the collection artifact"

info:
	@echo "Building collection $(NAMESPACE)-$(NAME)-$(VERSION)"
	@echo -e "  roles:\n $(foreach ROLE,$(notdir $(ROLES)),   - $(ROLE)\n)"
	@echo -e " $(foreach PLUGIN_TYPE,$(PLUGIN_TYPES), $(PLUGIN_TYPE):\n $(foreach PLUGIN,$(basename $(notdir $(_$(PLUGIN_TYPE)))),   - $(PLUGIN)\n)\n)"

lint: $(MANIFEST) $(RUNTIME_YML) | tests/test_playbooks/vars/server.yml
	yamllint -f parsable tests/test_playbooks roles
	ansible-lint -v --offline roles/*
	ansible-playbook --syntax-check tests/test_playbooks/*.yml | grep -v '^$$'
	flake8 --ignore=E402,W503 --max-line-length=160 plugins/ tests/
	GALAXY_IMPORTER_CONFIG=tests/galaxy-importer.cfg python -m galaxy_importer.main $(NAMESPACE)-$(NAME)-$(VERSION).tar.gz
	@echo "Check that there are no changes to $(RUNTIME_YML)"
	git diff --exit-code $(RUNTIME_YML)

sanity: $(MANIFEST)
	# Fake a fresh git repo for ansible-test
	cd $(<D) ; git init ; echo tests > .gitignore ; ansible-test sanity $(SANITY_OPTS) --python $(PYTHON_VERSION)

test: $(MANIFEST) | tests/test_playbooks/vars/server.yml
	$(PYTEST) $(TEST)

test-crud: $(MANIFEST) | tests/test_playbooks/vars/server.yml
	$(PYTEST) 'tests/test_crud.py::test_crud' 'tests/test_crud.py::test_inventory'

test-check-mode: $(MANIFEST) | tests/test_playbooks/vars/server.yml
	$(PYTEST) 'tests/test_crud.py::test_check_mode'

test-other:
	$(PYTEST) -k 'not test_crud.py'

livetest: $(MANIFEST) | tests/test_playbooks/vars/server.yml
	pytest -vv 'tests/test_crud.py::test_crud' --vcrmode live $(FLAGS)

test_%: FORCE $(MANIFEST) | tests/test_playbooks/vars/server.yml
	pytest -vv 'tests/test_crud.py::test_crud[$*]' 'tests/test_crud.py::test_check_mode[$*]' $(FLAGS)

livetest_%: FORCE $(MANIFEST) | tests/test_playbooks/vars/server.yml
	pytest -vv 'tests/test_crud.py::test_crud[$*]' --vcrmode live $(FLAGS)

record_%: FORCE $(MANIFEST)
	$(RM) tests/test_playbooks/fixtures/$*-*.yml
	pytest -vv 'tests/test_crud.py::test_crud[$*]' --vcrmode record $(FLAGS)

clean_%: FORCE $(MANIFEST)
	ansible-playbook --tags teardown,cleanup -i tests/inventory/hosts 'tests/test_playbooks/$*.yml'

setup: test-setup

test-setup: | tests/test_playbooks/vars/server.yml
	pip install --upgrade --force-reinstall 'pip<23.1'
	pip install --upgrade -r requirements-dev.txt

tests/test_playbooks/vars/server.yml:
	cp $@.example $@
	@echo "For recording, please adjust $@ to match your reference server."

dist-test: $(MANIFEST)
	FOREMAN_SERVER_URL=https://foreman.example.test ansible -m $(NAMESPACE).$(NAME).organization -a "username=admin password=changeme name=collectiontest" localhost | grep -q "Failed to connect to Foreman server.*foreman.example.test"
ifeq ($(ANSIBLE_SUPPORTS_REDIRECTS),1)
	FOREMAN_SERVER_URL=https://foreman.example.test ansible -m $(NAMESPACE).$(NAME).foreman_organization -a "username=admin password=changeme name=collectiontest" localhost | grep -q "Failed to connect to Foreman server.*foreman.example.test"
endif
	FOREMAN_SERVER_URL=http://foreman.example.test ansible -m $(NAMESPACE).$(NAME).organization -a "username=admin password=changeme name=collectiontest" localhost 2>&1| grep -q "You have configured a plain HTTP server URL."
	ansible-doc $(NAMESPACE).$(NAME).organization | grep -q "Manage Organization"

$(MANIFEST): $(NAMESPACE)-$(NAME)-$(VERSION).tar.gz
	ansible-galaxy collection install -p build/collections $< --force

build/src/%: %
	install -m 644 -DT $< $@

build/src/tests/test_%.py: FORCE
	install -m 644 -DT tests/test_$*.py $@

$(NAMESPACE)-$(NAME)-$(VERSION).tar.gz: $(addprefix build/src/,$(DEPENDENCIES))
	ansible-galaxy collection build build/src --force

dist: $(NAMESPACE)-$(NAME)-$(VERSION).tar.gz

publish: $(NAMESPACE)-$(NAME)-$(VERSION).tar.gz
	ansible-galaxy collection publish --api-key $(GALAXY_API_KEY) $<

clean:
	rm -rf build docs/plugins

doc-setup:
	pip install --upgrade -r docs/requirements.txt
doc: $(MANIFEST)
	mkdir -p ./docs/plugins ./docs/roles
	cat ./docs/roles.rst.template > ./docs/roles/index.rst
	for role_readme in roles/*/README.md; do \
		ln -f -s ../../$$role_readme ./docs/roles/$$(basename $$(dirname $$role_readme)).md; \
		echo " * :doc:\`$$(basename $$(dirname $$role_readme))\`" >> ./docs/roles/index.rst; \
	done
	antsibull-docs collection --use-current --squash-hierarchy --dest-dir ./docs/plugins $(NAMESPACE).$(NAME)
	make -C docs html

vendor:
	git clone --depth=1 --branch=$(APIPIE_VERSION) https://github.com/Apipie/apypie/ build/apypie-git
	python vendor.py build/apypie-git/apypie/*.py > plugins/module_utils/_apypie.py

$(RUNTIME_YML): FORCE
	$(PYTHON_COMMAND) generate_action_groups.py

FORCE:

.PHONY: help dist lint sanity test test-crud test-check-mode test-other livetest setup test-setup doc-setup doc publish FORCE

=== ansible_collections/chocolatey/chocolatey/tests/requirements.txt ===
ansible.windows
Jinja2<3.1.0

=== ansible_collections/cisco/dnac/docs/requirements.txt ===
PyYAML>=5.4.1 
antsibull>=0.17.0
ansible-base>=2.10.0rc2
sphinx-rtd-theme
git+https://github.com/felixfontein/ansible-basic-sphinx-ext
recommonmark

=== ansible_collections/community/grafana/hacking/requirements.txt ===
requests==2.28.0

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ansible
-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,8 +16,8 @@
                python3-yaml,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible/-/tree/debian/bookworm
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bookworm
 Homepage: https://www.ansible.com
 
 Package: ansible

=== debian/tests/control ===
Tests: unit-tests-stable.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-github,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-libxml2,
         python3-lxml,
         python3-memcache,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-semantic-version,
         python3-textfsm,
         python3-xmltodict,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-github,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-libxml2,
         python3-lxml,
         python3-memcache,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-semantic-version,
         python3-textfsm,
         python3-xmltodict,
         yamllint
Restrictions: flaky

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto \
https://pypi.debian.net/ansible/ ansible-(7\.[0-9]+\.[0-9]+).tar.gz

## ansible 9.2.0%2Bdfsg

=== ansible_collections/community/okd/tests/unit/requirements.txt ===
pytest

## ansible 9.2.0+dfsg

=== ansible_collections/amazon/aws/requirements.txt ===
# When updating the minimal requirements please also update
# - tests/unit/constraints.txt
# - tests/integration/constraints.txt
# - tests/integration/targets/setup_botocore_pip
botocore>=1.29.0
boto3>=1.26.0

=== ansible_collections/chocolatey/chocolatey/requirements.txt ===
pywinrm

=== ansible_collections/cisco/iosxr/requirements.txt ===
ncclient
paramiko
ipaddress
grpcio
protobuf
ansible-pylibssh

=== ansible_collections/cisco/ise/requirements.txt ===
ciscoisesdk >= 2.1.1
requests >= 2.25.1

=== ansible_collections/community/vmware/requirements.txt ===
pyVmomi>=6.7
git+https://github.com/vmware/vsphere-automation-sdk-python.git ; python_version >= '2.7'  # Python 2.6 is not supported

=== ansible_collections/hetzner/hcloud/Makefile ===
SHELL := bash
.PHONY: vendor clean

vendor:
	python3 scripts/vendor.py

vendor-check:
	python3 scripts/vendor.py --check

venv:
	python3 -m venv venv
	venv/bin/pip install -r requirements.txt

lint: venv
	venv/bin/pylint plugins

lint-docs: venv
	venv/bin/antsibull-docs lint-collection-docs \
		--plugin-docs \
		--validate-collection-refs self \
		--skip-rstcheck \
		.

clean:
	git clean -xdf \
		-e tests/integration/cloud-config-hcloud.ini

sanity:
	ansible-test sanity --color --truncate 0 -v \
		--exclude plugins/module_utils/vendor/ \
		--exclude scripts/ \
		--exclude tests/utils/ \
		--docker default \
		--allow-disabled

units:
	ansible-test units --color --truncate 0 -v \
		--docker default

integration:
	ansible-test integration --color --truncate 0 -v \
		--docker default \
		--allow-disabled

=== ansible_collections/hetzner/hcloud/requirements.txt ===
ansible-core>=2.13

# Collections requirements
netaddr
cryptography

python-dateutil
requests

# Development requirements
pylint
antsibull-docs>=2.5.0,<2.6

=== ansible_collections/kubernetes/core/Makefile ===
# Also needs to be updated in galaxy.yml
VERSION = 2.4.0

TEST_ARGS ?= ""
PYTHON_VERSION ?= `python -c 'import platform; print(".".join(platform.python_version_tuple()[0:2]))'`

clean:
	rm -f kubernetes-core-${VERSION}.tar.gz
	rm -rf ansible_collections
	rm -rf tests/output

build: clean
	ansible-galaxy collection build

release: build
	ansible-galaxy collection publish kubernetes-core-${VERSION}.tar.gz

install: build
	ansible-galaxy collection install -p ansible_collections kubernetes-core-${VERSION}.tar.gz

test-sanity:
	ansible-test sanity --docker -v --color --python $(PYTHON_VERSION) $(?TEST_ARGS)

test-integration:
	ansible-test integration --diff --no-temp-workdir --color --skip-tags False --retry-on-error --continue-on-error --python $(PYTHON_VERSION) -v --coverage $(?TEST_ARGS)

test-unit:
	ansible-test units --docker -v --color --python $(PYTHON_VERSION) $(?TEST_ARGS)

=== ansible_collections/microsoft/ad/requirements.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # For LDAP SRV lookups. 2.0.0 is when the new API used was introduced.
 dnspython >= 2.0.0
 
+# For LDAP LAPS decryption support
+dpapi-ng
+
 # For krb5 default_realm lookups
 krb5

=== ansible_collections/purestorage/flasharray/requirements.txt ===
--- 
+++ 
@@ -4,4 +4,3 @@
 netaddr
 requests
 pycountry
-packaging

=== ansible_collections/purestorage/flashblade/requirements.txt ===
netaddr
datetime
pytz
purity-fb
py-pure-client

=== ansible_collections/cloudscale_ch/cloud/tests/requirements.txt ===
netaddr

=== debian/changelog ===
ansible (9.2.0+dfsg-0ubuntu5) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:59:30 +0100

ansible (9.2.0+dfsg-0ubuntu4) noble; urgency=medium

  * d/tests:
    - set HOME to a writeable directory
    - always run all test cases
  * Suggest python3-jsonschema for jsonschema validate plugin
  * Add patches to replace deprecated assertion methods for
    Python 3.12 compatibility (Closes: #1061781, LP: #2052530)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Feb 2024 12:07:32 +0100

ansible (9.2.0+dfsg-0ubuntu3) noble; urgency=medium

  * Fix more test cases for Python 3.12.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Feb 2024 01:00:46 +0100

ansible (9.2.0+dfsg-0ubuntu1) noble; urgency=medium

  * New upstream release
    - Bump the watchfile to the major 9 series
    - Adds compatibility with Python 3.12 (Closes: #1061781, LP: #2052530)
    - d/control: bump dependency to latest ansible-core
    - Drop patches applied upstream:
      - d/p/0001-fix-libvirt-connection-plugin-warning.patch
      - d/p/0002-fix-libvirt-encoding-errors-on-windows-guests.patch
  * d/tests: Add some more tests to the autopkgtest suite, remove broken ones


 -- Simon Chopin <schopin@ubuntu.com>  Wed, 07 Feb 2024 13:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: ansible
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Lee Garrett <debian@rocketjump.eu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
+Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,17 +17,16 @@
                python3-yaml,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible/-/tree/debian/bookworm
-Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bookworm
+Vcs-Browser: https://salsa.debian.org/debian/ansible
+Vcs-Git: https://salsa.debian.org/debian/ansible.git
 Homepage: https://www.ansible.com
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ansible-core (>= 2.11.5-1~),
+         ansible-core (>= 2.16.3),
          openssh-client | python3-paramiko (>= 2.6.0),
-         python3-distutils,
          python3-dnspython,
          python3-httplib2,
          python3-jinja2,
@@ -41,6 +41,7 @@
             python3-winrm,
             python3-xmltodict
 Suggests: cowsay,
+          python3-jsonschema,
           sshpass
 Breaks: ansible-base (<= 2.10.5+dfsg-2)
 Replaces: ansible-base (<= 2.10.5+dfsg-2)

=== debian/tests/control ===
Tests: unit-tests-stable
Depends: @,
         git,
         python3-boto3,
         python3-bcrypt,
         python3-flake8,
         python3-jsonschema,
         python3-mock,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-xmltodict,
         python3-textfsm,
         yamllint

# failing tests due to missing packages or other reasons
#Tests: unit-tests-flaky
#Depends: @,
#         git,
#         python3-boto3,
#         python3-flake8,
#         python3-mock,
#         python3-pytest-xdist,
#         python3-pyvmomi,
#         yamllint
#Restrictions: flaky

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg,pgpmode=auto \
https://pypi.debian.net/ansible/ ansible-(9\.[0-9]+\.[0-9]+).tar.gz

## ansible 10.1.0+dfsg

=== ansible_collections/ibm/storage_virtualize/tests/unit/requirements.txt ===
paramiko>= '3.4.0'
cryptography >= '42.0.5'

=== debian/changelog ===
ansible (10.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 10.1.0+dfsg
  * Add missing info to previous changelog entry
  * Drop 0004-fix-cyberark-conjur-import.patch (applied upstream)

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 25 Jun 2024 13:14:37 +0200

ansible (10.0.1+dfsg-1) unstable; urgency=medium

  * Update patch to DEP-3 layout
  * New upstream version 10.0.1+dfsg
  * Drop Files-Excluded pattern again (fixed upstream)
  * Update copyright year
  * Remove community.sap and purestorage.fusion tests (removed upstream)
  * Add quilt patch to fix import error for cyberark.conjur
  * Add python3-passlib to autopkgtests dep (used by ansible.netcommon)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 06 Jun 2024 15:39:29 +0200

ansible (10.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 10.0.0+dfsg
  * d/control: Update VCS links after moving package to python-team
  * Update salsa CI pipeline file to recommended naming
  * Update d/salsa-ci.yml to recommendations
  * Add debian/TODO
  * Bump minimum required ansible-core version
  * ansible.utils now requires python3-netaddr >= 0.10.1
  * Exclude shipped python venv

 -- Lee Garrett <debian@rocketjump.eu>  Wed, 05 Jun 2024 17:18:54 +0200

ansible (9.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 9.5.1+dfsg
  * autopkgtests: Update dependencies
  * autopkgtests: Update test dependencies
  * Add helper script to check the flaky test list and remove non-existant tests
  * autopkgtests: Update list of flaky tests
  * Rewrite stable/flaky autopkgtests in python
  * d/gbp.conf: Switch to DEP-14 branch layout
  * d/gbp.conf: Sign tags by default
  * Bump Standards-Version (no changes needed)
  * d/control: Bump minimum version dependency of ansible-core

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Apr 2024 22:34:37 +0200

ansible (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1042906)
    - fixes CVE-2023-4237 (Closes: #1055300)
    - Support bookworm in zabbix plugin (Closes: #1054544)
  * Drop dependency on python3-distutils (Closes: #1065825)
  * Drop 0001-fix-libvirt-connection-plugin-warning.patch (applied upstream)
  * Refreshen patches

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 18 Apr 2024 00:34:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: ansible
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -16,21 +15,21 @@
                python3-straight.plugin,
                python3-yaml,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git
 Homepage: https://www.ansible.com
 
 Package: ansible
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ansible-core (>= 2.16.3),
+         ansible-core (>= 2.17.0-1~),
          openssh-client | python3-paramiko (>= 2.6.0),
          python3-dnspython,
          python3-httplib2,
          python3-jinja2,
-         python3-netaddr,
+         python3-netaddr (>= 0.10.1-1~),
          python3-yaml
 Recommends: python3-argcomplete,
             python3-cryptography,
@@ -41,7 +40,6 @@
             python3-winrm,
             python3-xmltodict
 Suggests: cowsay,
-          python3-jsonschema,
           sshpass
 Breaks: ansible-base (<= 2.10.5+dfsg-2)
 Replaces: ansible-base (<= 2.10.5+dfsg-2)

## ansible 10.5.0+dfsg

=== debian/changelog ===
ansible (10.5.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Adjust an override for lintian >= 2.117.1.
  * cloud/common: Make a test less flaky.

 -- Colin Watson <cjwatson@debian.org>  Thu, 31 Oct 2024 00:49:52 +0000

ansible (10.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix cyberark/conjur, community/grafana, and community/network unit tests
    for Python 3.12 (closes: #1079560).
  * Fix community/mongodb to avoid an import error on Python 3.13 (closes:
    #1084548).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Oct 2024 12:46:37 +0000

=== debian/tests/control ===
Tests: unit-tests-stable.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-passlib,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky.py
Depends: @,
         git,
         python3-azure,
         python3-bcrypt,
         python3-boto3,
         python3-cryptography,
         python3-dateutil,
         python3-flake8,
         python3-gitlab,
         python3-google-auth,
         python3-httmock,
         python3-hvac,
         python3-jsonschema,
         python3-kubernetes,
         python3-lxml,
         python3-mock,
         python3-msrestazure,
         python3-openssl,
         python3-paramiko,
         python3-proxmoxer,
         python3-pytest-forked,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         python3-redis,
         python3-textfsm,
         python3-xmltodict,
         yamllint
Restrictions: flaky

## ansible 10.6.0+dfsg

=== debian/changelog ===
ansible (10.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix community/hashi_vault unit tests for ansible-core 2.18.

 -- Colin Watson <cjwatson@debian.org>  Tue, 12 Nov 2024 13:43:48 +0000

## ansible 11.1.0+dfsg

=== ansible_collections/azure/azcollection/requirements.txt ===
packaging
requests[security]
xmltodict
msgraph-sdk==1.6.0
azure-cli-core==2.64.0
azure-common==1.1.28
azure-identity==1.19.0
azure-mgmt-authorization==4.0.0
azure-mgmt-apimanagement==4.0.1
azure-mgmt-batch==17.3.0
azure-mgmt-compute==33.0.0
azure-mgmt-cdn==13.1.1
azure-mgmt-containerinstance==10.1.0
azure-mgmt-core==1.4.0
azure-mgmt-containerregistry==10.3.0
azure-containerregistry==1.2.0
azure-mgmt-containerservice==32.1.0
azure-mgmt-datafactory==9.0.0
azure-mgmt-dns==8.1.0
azure-mgmt-marketplaceordering==1.2.0b2
azure-mgmt-monitor==6.0.2
azure-mgmt-managedservices==7.0.0b2
azure-mgmt-managementgroups==1.1.0b2
azure-mgmt-network==28.0.0
azure-mgmt-nspkg==3.0.2
azure-mgmt-privatedns==1.1.0
azure-mgmt-redis==14.4.0
azure-mgmt-resource==23.2.0
azure-mgmt-rdbms==10.2.0b17
azure-mgmt-search==9.2.0b2
azure-mgmt-servicebus==8.2.1
azure-mgmt-sql==4.0.0b19
azure-mgmt-storage==21.2.1
azure-mgmt-trafficmanager==1.1.0
azure-mgmt-web==7.3.1
azure-nspkg==3.0.2
azure-storage-blob==12.23.0b1
azure-core==1.31.0
azure-keyvault==4.2.0
azure-mgmt-keyvault==10.3.1
azure-mgmt-cosmosdb==10.0.0b3
azure-mgmt-hdinsight==9.1.0b1
azure-mgmt-devtestlabs==10.0.0b2
azure-mgmt-loganalytics==13.0.0b7
azure-mgmt-automation==1.1.0b4
azure-mgmt-iothub==3.0.0
azure-iot-hub==2.6.1;platform_machine=="x86_64"
azure-mgmt-recoveryservices==3.0.0
azure-mgmt-recoveryservicesbackup==9.1.0
azure-mgmt-notificationhubs==8.1.0b1
azure-mgmt-eventhub==11.1.0

=== ansible_collections/community/okd/Makefile ===
.PHONY: molecule

# Also needs to be updated in galaxy.yml
VERSION = 4.0.0

SANITY_TEST_ARGS ?= --docker --color
UNITS_TEST_ARGS ?= --docker --color
PYTHON_VERSION ?= `python3 -c 'import platform; print("{0}.{1}".format(platform.python_version_tuple()[0], platform.python_version_tuple()[1]))'`

clean:
	rm -f community-okd-$(VERSION).tar.gz
	rm -f redhat-openshift-$(VERSION).tar.gz
	rm -rf ansible_collections

build: clean
	ansible-galaxy collection build

install: build
	ansible-galaxy collection install --force -p ansible_collections community-okd-$(VERSION).tar.gz

sanity: install
	cd ansible_collections/community/okd && ansible-test sanity -v --python $(PYTHON_VERSION) $(SANITY_TEST_ARGS)

units: install
	cd ansible_collections/community/okd && ansible-test units -v --python $(PYTHON_VERSION) $(UNITS_TEST_ARGS)

molecule: install
	molecule test

test-integration: upstream-test-integration downstream-test-integration

test-sanity: upstream-test-sanity downstream-test-sanity

test-units: upstream-test-units downstream-test-units

test-integration-incluster:
	./ci/incluster_integration.sh

upstream-test-sanity: sanity

upstream-test-units: units

upstream-test-integration: molecule

downstream-test-sanity:
	./ci/downstream.sh -s

downstream-test-units:
	./ci/downstream.sh -u

downstream-test-integration:
	./ci/downstream.sh -i

downstream-build:
	./ci/downstream.sh -b

=== ansible_collections/vmware/vmware_rest/Makefile ===
# Define ANSI escape codes for colors
GREEN=\033[0;32m
RED=\033[0;31m
NC=\033[0m  # No Color

.PHONY: prepare_symlinks
prepare_symlinks:
	ansible-playbook tools/prepare_symlinks.yml

.PHONY: install-ansible-collections
install-ansible-collections:
	ansible-galaxy collection install --upgrade -r tests/integration/requirements.yml

.PHONY: remove_aliases
remove_aliases:
	@find tests/integration/targets/ -name "aliases" -exec rm -f {} +

.PHONY: eco-vcenter-ci
eco-vcenter-ci: install-ansible-collections prepare_symlinks remove_aliases
	@[ -f /tmp/vmware_rest_tests_report.txt ] && rm /tmp/vmware_rest_tests_report.txt || true; \
	@failed=0; \
	total=0; \
	echo "===============" >> /tmp/vmware_rest_tests_report.txt; \
	echo "Tests Summary" >> /tmp/vmware_rest_tests_report.txt; \
	echo "===============" >> /tmp/vmware_rest_tests_report.txt; \
	for dir in $(shell ansible-test integration --list-target --no-temp-workdir | grep 'vmware_rest_'); do \
	  echo "Running integration test for $$dir"; \
	  total=$$((total + 1)); \
	  if ansible-test integration --no-temp-workdir $$dir; then \
	    echo -e "Test: $$dir ${GREEN}Passed${NC}" | tee -a /tmp/vmware_rest_tests_report.txt; \
	  else \
	    echo -e "Test: $$dir ${RED}Failed${NC}" | tee -a /tmp/vmware_rest_tests_report.txt; \
	    failed=$$((failed + 1)); \
	  fi; \
	done; \
	echo "$$failed test(s) failed out of $$total." >> /tmp/vmware_rest_tests_report.txt; \
	cat /tmp/vmware_rest_tests_report.txt; \
	if [ $$failed -gt 0 ]; then \
	  exit 1; \
	fi

=== ansible_collections/chocolatey/chocolatey/tests/requirements.txt ===
ansible.windows
Jinja2~>3.1.3

=== ansible_collections/community/aws/tests/unit/requirements.txt ===
# Our code is based on the AWS SDKs
botocore
boto3

placebo
cryptography

=== ansible_collections/community/general/tests/unit/requirements.txt ===
--- 
+++ 
@@ -6,10 +6,12 @@
 importlib ; python_version < '2.7'
 
 # requirement for the memcached cache plugin
-python-memcached
+python-memcached < 1.60 ; python_version < '3.6'
+python-memcached ; python_version >= '3.6'
 
 # requirement for the redis cache plugin
 redis
+async-timeout ; python_version == '3.11'
 
 # requirement for the linode module
 linode-python  # APIv3
@@ -41,3 +43,17 @@
 
 # requirement for the elastic callback plugin
 elastic-apm ; python_version >= '3.6'
+
+# requirements for scaleway modules
+passlib[argon2]
+
+# requirements for the proxmox modules
+proxmoxer < 2.0.0 ; python_version >= '2.7' and python_version <= '3.6'
+proxmoxer ; python_version > '3.6'
+
+#requirements for nomad_token modules
+python-nomad < 2.0.0 ; python_version <= '3.6'
+python-nomad >= 2.0.0 ; python_version >= '3.7'
+
+# requirement for jenkins_build, jenkins_node, jenkins_plugin modules
+python-jenkins >= 0.4.12

=== ansible_collections/cyberark/conjur/tests/unit/requirements.txt ===
mock
pytest
pytest-mock
pytest-xdist
pytest-forked
pyyaml  # required by the collection loader (only needed for collections)
coverage==4.5.4

bcrypt ; python_version >= '3.8'  # controller only
passlib ; python_version >= '3.8'  # controller only
pexpect ; python_version >= '3.8'  # controller only
pytz
pywinrm ; python_version >= '3.8'  # controller only
unittest2 ; python_version < '2.7'

=== ansible_collections/vmware/vmware/tests/unit/requirements.txt ===
requests
pyVim
pyvmomi

=== debian/changelog ===
ansible (11.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 05 Dec 2024 17:13:29 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          python3-cryptography,
          python3-dateutil,
          python3-flake8,
+         python3-freezegun,
          python3-gitlab,
          python3-google-auth,
          python3-httmock,
@@ -39,6 +40,7 @@
          python3-cryptography,
          python3-dateutil,
          python3-flake8,
+         python3-freezegun,
          python3-gitlab,
          python3-google-auth,
          python3-httmock,

## ansible 11.2.0%2Bdfsg

=== ansible_collections/vmware/vmware/tests/unit/requirements.txt ===
requests
pyVim
pyvmomi
git+https://github.com/vmware/vsphere-automation-sdk-python.git
